<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Ejercicio_18</title>
</head>
<body>
    <h1>Ejercicio 18</h1>
    <script>
    /*18) Programa una función que dada una cadena de texto cuente el número de 
    vocales y consonantes, pe. miFuncion("Hola Mundo") devuelva Vocales: 4, 
    Consonantes: 5.*/

    const cuentaVoCo = (cadena = undefined) => {

        if (cadena === undefined) return console.warn("No ingreso un texto");
        if (typeof cadena !== "string") 
           return console.warn(`El valor ingresado: ${cadena} no es un texto`);
        
        cadena = cadena.toLocaleLowerCase();//Covertir todo a miniscula
        let countVocal = cadena.match(/[aeiouàèìòù]/gi).length,
            countConso = cadena.match(/[bcdfghjklmnñpqrstvwxyz]/gi).length;   
        return console.log(`Total de Vocales: ${countVocal}, Total de Consonantes: ${countConso}`);
        
        /*let vocales = 0,
        consonantes = 0;
        for (let letra of cadena) {
            if(/[aeiouàèìòù]/.test(letra)) vocales++;
            if(/[bcdfghjklmnñpqrstvwxyz]/.test(letra)) consonantes++;
        }
        return console.info({
            cadena,
            vocales,
            consonantes
        })*/
    }

    cuentaVoCo("Hola Mundo");
    cuentaVoCo();
    cuentaVoCo(3);

    </script>
    
</body>
</html>